Skip to main content
POST
Refresh a registry

Path Parameters

id
string
required

Registry slug identifying the registry.

Minimum string length: 1

Response

The updated registry record.

Record of a registered registry.

id
string
required

Registry slug matching /^[A-Za-z0-9_-]+$/ used as the primary key.

Minimum string length: 1
baseUrl
string
required

Normalized absolute http(s) URL of the registry.

lastSyncedAt
string | null
required

ISO-8601 timestamp of the last successful sync with the registry, or null when it has never been synced.

createdAt
string
required

ISO-8601 timestamp of when the registry was registered.

updatedAt
string
required

ISO-8601 timestamp of the last mutation to the record.

authType
enum<string> | null
required

Authentication method configured for this registry, or null when none is set.

Available options:
apiKey,
oauth2,
null
tokenExpiresAt
number | null
required

Epoch-ms timestamp when the cached OAuth2 access token expires, or null for api key auth or when no token has been fetched.

Last modified on August 25, 2026